Creating Panels in CAD

September 9th, 2016, 2:00 pm

User avatar
themonet
step two
step two
Posts: 98
Joined: August 8th, 2008, 4:00 pm
Location: Salt Lake City, UT
Hey guys, I'm working on an interior for a new space for my company. We want to have CNC routed plywood panels that are mounted parallel to each other, and spaced evenly, to create wall texture / shelving over the kitchen counter area. Something similar to this:

Image

Does anybody know of any good CAD tools or plugins to model something like this that could then populate the 2D patterns rather than the tremendous amount of hand work it would take to design each panel by itself? I've got SolidWorks, Fusion 360, Rhino (mac) and Blender in my CAD quiver.
Swarm Design
Partner : Industrial Design
http://www.swarmeffect.com

Re: Creating Panels in CAD

September 9th, 2016, 3:53 pm

User avatar
KenoLeon
full self-realization
full self-realization
Posts: 698
Joined: October 23rd, 2012, 12:22 pm
Location: Mexico City
Not sure I follow.

Why not :

1) make a bunch of equally spaced panels

2) make a surface

3) boolean the surface from the panels

2 minutes work...
skeletonboolean.jpg
skeletonboolean.jpg (94.91 KiB) Viewed 3477 times
Eugenio (Keno) Leon
k3no.com Linkedin Instagram

"Go where you are celebrated, not merely tolerated"

Re: Creating Panels in CAD

September 9th, 2016, 5:39 pm

User avatar
themonet
step two
step two
Posts: 98
Joined: August 8th, 2008, 4:00 pm
Location: Salt Lake City, UT
Thanks for the reply. I got that part. I was looking for something that could quickly export the 2D profile of each panel.
Swarm Design
Partner : Industrial Design
http://www.swarmeffect.com

Re: Creating Panels in CAD

September 9th, 2016, 7:30 pm

MK19
step three
step three
Posts: 140
Joined: August 19th, 2016, 10:13 am
themonet wrote:Thanks for the reply. I got that part. I was looking for something that could quickly export the 2D profile of each panel.
There's not anything inside SW that can do this but I know for sure there are ways to do it with plugins such as SWOOD or CAMWorks or SPI Sheet Metal Works.

Re: Creating Panels in CAD

September 9th, 2016, 8:14 pm

User avatar
KenoLeon
full self-realization
full self-realization
Posts: 698
Joined: October 23rd, 2012, 12:22 pm
Location: Mexico City
Ahh I see, in Rhino for Mac ( which is what I am using) I would do a python script and export the profiles, there's an old rhino script one that does something similar, but can't seem to find one for the mac ( there's one for points though) , don't code much in python, but if there's interest or you are still stuck let me know and I'll give it a shot.

Best
-K
Eugenio (Keno) Leon
k3no.com Linkedin Instagram

"Go where you are celebrated, not merely tolerated"

Re: Creating Panels in CAD

September 10th, 2016, 8:19 am

User avatar
louis leblanc
step three
step three
Posts: 190
Joined: June 13th, 2010, 1:32 pm
Specifically, what format do you need for your router?

Re: Creating Panels in CAD

September 10th, 2016, 2:49 pm

rbid
Posts: 11
Joined: May 16th, 2016, 2:52 pm
there is a solidworks tool called task scheduler. I'm not sure specifically how you would have to program it but i've used it for batch conversions and exports before

Re: Creating Panels in CAD

September 11th, 2016, 9:47 am

User avatar
Cyberdemon
full self-realization
full self-realization
Posts: 3435
Joined: February 7th, 2006, 11:51 pm
Location: New York
This was a freshmen CAD assignment that you can do in Rhino very easily. I don't recall the exact tools since I haven't touched Rhino in 14 years but it was similar to what Keno suggested:

1 - Build your wavy surface
2 - Intersect that surface with a block so you have effectively a "Solid"
3 - Use the Rhino cross section tools to project section curves at your desired spacing
4 - Take those section curves and use the make drawing tool to create a 2D outline of all of them from the side view.

Export that drawing to a .dwg or whatever your vendor needs.

We did this in college to create a laser cut version of the surface, but the output file was identical to what you need (except we did sections in both X & Y so you could intersect them into a mesh that supported itself).

Hope that helps.

Re: Creating Panels in CAD

September 11th, 2016, 1:51 pm

User avatar
louis leblanc
step three
step three
Posts: 190
Joined: June 13th, 2010, 1:32 pm
I'd go a very similar route as Cyberdemon and Keno. Rhino is great for this sort of thing.

I'd really look into having some way to identify each piece and their direction (which way does the board go). Having a a stack of plywood with nothing labeled would be a nightmare.

Here would be my first crack at it. I'd try to automate as much as possible because it'll be way too laborious to do this manually - especially when someone is going to inevitably ask for a change.

1 - Build your wave surface.
2 - Array a bunch of equally spaced planes.
3- I'd go through the trouble of putting text on each piece. You should be able to script this quite easily. This is just adding a loop to the basic text creation example http://wiki.mcneel.com/developer/rhinoc ... es/addtext. You'd also need to give each text object an object name that's the same as their content.

Code: Select all

import Rhino
import scriptcontext
import System.Guid
 
distanceBetweenPlanes=100
 
def AddAnnotationText():
    for num in range (0,10):
        pt = Rhino.Geometry.Point3d(0, 0, distanceBetweenPlanes*num)
        text = str(num)
        height = 2.0
        font = "Arial"
        plane = scriptcontext.doc.Views.ActiveView.ActiveViewport.ConstructionPlane()
        plane.Origin = pt
        id = scriptcontext.doc.Objects.AddText(text, plane, height, font, False, False)
    if id!=System.Guid.Empty:
        scriptcontext.doc.Views.Redraw()
        return Rhino.Commands.Result.Success
    return Rhino.Commands.Result.Failure
 
 
if __name__=="__main__":
    AddAnnotationText()
4 - Explode the text objects to get curves. They should inherit their object name from what you had given them as text.
4 - Intersect the planes with the wavy surface to get a bunch of outline curves.
5- Run a script to give each curve an object name. http://wiki.mcneel.com/developer/script ... /autolabel would be a good starting point. This way you'll be able to have the object name match up between the text curves and the cutting outlines.
6 - This shouldn't be too hard but you'll need to write a script to do the export. Loop through all the curves, select the objects (outlines curves+ text curves) by their object name and export them to a dwg or AI file with the same name.

Hopefully this can help you out. Post some pictures when it's up!

Re: Creating Panels in CAD

September 12th, 2016, 5:28 pm

MK19
step three
step three
Posts: 140
Joined: August 19th, 2016, 10:13 am
Getting someone to write the macro for you and remaining in Rhino is probably your best bet really.

Re: Creating Panels in CAD

September 13th, 2016, 9:37 am

User avatar
Cyberdemon
full self-realization
full self-realization
Posts: 3435
Joined: February 7th, 2006, 11:51 pm
Location: New York
You should consider how many panels you'll actually need to decide if it's worth the amount of work for trying to automate the process vs just doing it manually.

I did this all in college without Macros for a piece that was probably about 60 sections and the existing rhino tools made it rather easy to do.

Re: Creating Panels in CAD

September 13th, 2016, 11:24 am

User avatar
Mr-914
Moderator
Moderator
Posts: 5810
Joined: January 12th, 2004, 7:44 am
Location: Montréal, QC
I think I did a project that required similar drawings a few months ago in SolidWorks. I just did it manually in a morning.
Ray Jepson

"The key to success in this business is to find a boss who doesn't care." - Mike Rowe

Re: Creating Panels in CAD

September 13th, 2016, 1:20 pm

User avatar
themonet
step two
step two
Posts: 98
Joined: August 8th, 2008, 4:00 pm
Location: Salt Lake City, UT
Thanks for all the suggestions guys! Louis Leblanc, I've never used scripts before, but you've laid it out pretty well, so I'll give it a try. I think I should be able to get something to work. It'll be a while before its up, We're still in the demolition / cleaning out stages of an old Transmission shop. But I'll revitalize this thread and post pictures in a month and a half or so.
Swarm Design
Partner : Industrial Design
http://www.swarmeffect.com

Re: Creating Panels in CAD

September 14th, 2016, 11:51 am

Zachary_Fitean
Posts: 12
Joined: July 22nd, 2016, 3:57 pm
http://www.123dapp.com/make

123D make by autodesk. Just make a form in rhino and import, 123d make does the rest and even lays it flat out for you

Re: Creating Panels in CAD

September 14th, 2016, 8:38 pm

User avatar
themonet
step two
step two
Posts: 98
Joined: August 8th, 2008, 4:00 pm
Location: Salt Lake City, UT
Zachary_Fitean wrote:http://www.123dapp.com/make

123D make by autodesk. Just make a form in rhino and import, 123d make does the rest and even lays it flat out for you

WOW! I've been looking for a tool like that for a while. definitely going to give that a shot.
Swarm Design
Partner : Industrial Design
http://www.swarmeffect.com
Reply